### Class

# Gimp VectorLayer

#### Description [src]

    final class Gimp.VectorLayer : Gimp.Layer
      implements Gimp.Rasterizable {
      /* No available fields */
    }

Functions for querying and manipulating vector layers.

#### Hierarchy

#### Ancestors

- GimpLayer
- GimpDrawable
- GimpItem
- GObject

#### Implements

- GimpRasterizable

#### Constructors

###### gimp_vector_layer_new

Create a new vector layer.

since: 3.2

#### Functions

###### gimp_vector_layer_get_by_id

Returns a `GimpVectorLayer` representing `layer_id`. This function calls `gimp_item_get_by_id()` and returns the item if it is layer or `NULL` otherwise.

since: 3.0

#### Instance methods

###### gimp_vector_layer_get_enable_fill

Check if fill is enabled in the vector layer.

since: 3.2

###### gimp_vector_layer_get_enable_stroke

Check if stroke is enabled in the vector layer.

since: 3.2

###### gimp_vector_layer_get_fill_color

Get the color of the fill in a vector layer.

since: 3.2

###### gimp_vector_layer_get_fill_pattern

Get the pattern of the fill in a vector layer.

since: 3.2

###### gimp_vector_layer_get_path

Gets the path from the vector layer if one is associated with it.

since: 3.2

###### gimp_vector_layer_get_stroke_cap_style

Get the stroke cap style of a vector layer.

since: 3.2

###### gimp_vector_layer_get_stroke_color

Get the color of the stroke in a vector layer.

since: 3.2

###### gimp_vector_layer_get_stroke_dash_offset

Get the stroke dash offset of a vector layer.

since: 3.2

###### gimp_vector_layer_get_stroke_dash_pattern

Get the stroke dash pattern of a vector layer.

since: 3.2

###### gimp_vector_layer_get_stroke_join_style

Get the stroke join style of a vector layer.

since: 3.2

###### gimp_vector_layer_get_stroke_miter_limit

Get the stroke miter limit of a vector layer.

since: 3.2

###### gimp_vector_layer_get_stroke_pattern

Get the pattern of the stroke in a vector layer.

since: 3.2

###### gimp_vector_layer_get_stroke_width

Get the stroke width of a vector layer.

since: 3.2

###### gimp_vector_layer_get_stroke_width_unit

Get the stroke width unit of a vector layer.

since: 3.2

###### gimp_vector_layer_refresh

Rerender the vector layer.

since: 3.2

###### gimp_vector_layer_set_enable_fill

Set whether the fill is enabled on the vector layer.

since: 3.2

###### gimp_vector_layer_set_enable_stroke

Set whether the stroke is enabled on the vector layer.

since: 3.2

###### gimp_vector_layer_set_fill_color

Set the color of the fill in the vector layer.

since: 3.2

###### gimp_vector_layer_set_stroke_cap_style

Set the stroke cap style of a vector layer.

since: 3.2

###### gimp_vector_layer_set_stroke_color

Set the color of the stroke in the vector layer.

since: 3.2

###### gimp_vector_layer_set_stroke_dash_offset

Set the stroke dash offset of a vector layer.

since: 3.2

###### gimp_vector_layer_set_stroke_dash_pattern

Set the stroke dash pattern of a vector layer.

since: 3.2

###### gimp_vector_layer_set_stroke_join_style

Set the stroke join style of a vector layer.

since: 3.2

###### gimp_vector_layer_set_stroke_miter_limit

Set the stroke miter limit of a vector layer.

since: 3.2

###### gimp_vector_layer_set_stroke_width

Set the stroke width of a vector layer.

since: 3.2

###### gimp_vector_layer_set_stroke_width_unit

Set the stroke width unit of a vector layer.

since: 3.2

##### Methods inherited from GimpLayer (30)

Please see GimpLayer for a full list of methods.

##### Methods inherited from GimpDrawable (56)

Please see GimpDrawable for a full list of methods.

##### Methods inherited from GimpItem (48)

Please see GimpItem for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GimpRasterizable (3)

###### gimp_rasterizable_is_rasterized

Return whether `item` has been rasterized.

since: 3.2

###### gimp_rasterizable_rasterize

Rasterize the object.

since: 3.2

###### gimp_rasterizable_restore

Revert the rasterization of `item`.

since: 3.2

#### Properties

##### Properties inherited from GimpItem (1)

###### Gimp.Item:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpVectorLayerClass {
      GimpLayerClass parent_class;

    }

No description available.

###### Class members

`parent_class: GimpLayerClass`

  No description available.